Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 204608 - anaconda set %_transaction_color in /etc/rpm/macros
Summary: anaconda set %_transaction_color in /etc/rpm/macros
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Paul Nasrat
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC6Target
TreeView+ depends on / blocked
 
Reported: 2006-08-30 12:20 UTC by Axel Thimm
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-05-17 13:29:41 UTC


Attachments (Terms of Use)

Description Axel Thimm 2006-08-30 12:20:11 UTC
Currently on multilib systems anaconda writes a %_transaction_color entry into
the unowned /etc/rpm/macros file.

It looks like rpm for some ppc64/ia64a archs wasn't defaulting to 3, for x86_64
I checked that for all multilib releases (RHEL3/4 and FC2-6) the setting
%_transaction_color to 3, so it's doing the right thing w/o any entry in
/etc/rpm/macros.

If this has been fixed in ppc64's rpm could this entry be left off? Ideally
/etc/rpm/macros should be used only by users to modify rpm behaviour, it can
happen (there are a couple of bug reports in here), that this entry gets nuked,
especially since this currently /etc/rpm/macros is unowned (see also bug
#204606). Also if this entry is important many buildroot constructing systems
are missing this, so it should move from anaconda to rpm.

I suggest to

o either not set anything in /etc/rpm/macros if it is indeed redundand by now,
o or, if it is needed in some scenarios to place it into some other
  /etc/rpm/macros.* file and make that owned by some prominent package like rpm
  itself.

Comment 1 Jeremy Katz 2006-09-06 05:38:44 UTC
Unfortunately, this can't be not written out as on ppc you definitely don't get
the right thing (since you're running a ppc32 rpm instead of ppc64, chaos then
ensues).  There's a really old bug against rpm about this.

We could change it to /etc/rpm/macros.somethingelse, though I guess

Comment 2 Paul Nasrat 2007-05-17 13:29:41 UTC
We also need to set color preference now for ppc64 so we need to write out the
macros file


Note You need to log in before you can comment on or make changes to this bug.